Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 147076 - RFE: Turn sysconfig.txt into man pages for config files.
Summary: RFE: Turn sysconfig.txt into man pages for config files.
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 58381 (view as bug list)
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-02-04 05:24 UTC by Mike MacCana
Modified: 2019-04-10 13:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
ifcfg (deleted)
2005-09-21 04:29 UTC, Mike MacCana
no flags Details
chapter 5 network (deleted)
2005-09-21 06:25 UTC, Mike MacCana
no flags Details
minimal ifcfg man page (deleted)
2012-06-01 13:54 UTC, Dan Horák
no flags Details

Description Mike MacCana 2005-02-04 05:24:40 UTC
Description of problem:
This is an old one, but I can't find it in bugzilla. Many customers
have griped about the lack of man pages for /etc/sysconfig for years. 
As an instructor, I find most customers aren't aware that
/usr/share/doc/initscripts*/sysconfig.txt exists. Nor should they be -
the format of configuration files have always been documented in
section 5 of the manual. /usr/share/doc is typically used for READMEs
and task based documentation. The initscripts package is the only well
known exception.

man network
man 5 init 
etc.

If you like, I can even write these myself (I have a little experience
- I wrote man resolv.conf in RHEL 4).

Comment 1 Bill Nottingham 2005-02-04 05:40:24 UTC
Sure, taking patches. :)

Comment 3 Bill Nottingham 2005-09-20 20:47:12 UTC
Moving to FC devel; this isn't something that would be backported to RHEL 3/RHEL 4.

Comment 4 Mike MacCana 2005-09-21 04:29:42 UTC
Created attachment 119063 [details]
ifcfg

Comment 5 Mike MacCana 2005-09-21 06:25:11 UTC
Created attachment 119065 [details]
chapter 5 network

Comment 6 Bill Nottingham 2005-09-21 06:34:53 UTC
Hm. I wonder if switching the whole thing over to docbook and building the man
pages from that (and the text) would work.

Comment 7 Mike MacCana 2005-09-21 07:41:43 UTC
Totally, and I agree that'd be the best approach.

I'm not on documentation team, though, I don't know docbook, and the priority is
getting sysconfig documented properly from a customer POV, not a RH engineering POV.

Comment 8 Mike MacCana 2005-09-21 07:44:23 UTC
Ah, you mean switching sysconfig.txt over to docbook?

It needs editing. Not all options are documented and not all are documented
properly. There are no examples.

If docs team want to handle this instead of me, I'd be delighted. I've got RH300
courseware to rewrite.


Comment 9 Bill Nottingham 2005-09-29 19:32:48 UTC
*** Bug 58381 has been marked as a duplicate of this bug. ***

Comment 10 John Poelstra 2008-07-04 04:27:44 UTC
triaged

Comment 11 Dan Horák 2012-06-01 13:54:34 UTC
Created attachment 588460 [details]
minimal ifcfg man page

This is a minimal ifcfg man page just referring to sysconfig.txt for the detailed description.

Comment 12 Stephen Wadeley 2012-06-07 08:49:01 UTC
Comment on attachment 119063 [details]
ifcfg

Re. attachment in comment #4

s/VLSN/VLSM

"ethernet" should be written "Ethernet" in the descriptions.

Comment 13 Stephen Wadeley 2012-06-07 08:58:11 UTC
Comment on attachment 119065 [details]
chapter 5 network

Re. comment #5

s/IPv6 packes/IPv6 packets/

Comment 14 Fedora Admin XMLRPC Client 2013-09-04 14:49:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.